Bug 859377 - Testdisk not working in new kernels
Testdisk not working in new kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: testdisk (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe GRENIER
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 07:07 EDT by Adam Pribyl
Modified: 2013-07-31 20:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:31:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2012-09-21 07:07:57 EDT
Description of problem:
Trying to use the testdisk on the latest Fedora with kernel 3.5.x to list deleted files on ext3 or ext4 causes only message
"Can't open filesystem. Filesystem seems damaged"

Version-Release number of selected component (if applicable):
testdisk-6.13-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. start testdisk as root
2. select a disk and Intel/PS partition table
3. select Advanced file system utils and partition with ext3 or 4
4. selet List
  
Actual results:
Can't open filesystem. Filesystem seems damaged

Should list directory structure.

This works on testdisk 6.12 in F16 with kernel 3.4.x.
Comment 1 Adam Pribyl 2012-09-21 15:52:01 EDT
I tried that on i686 install on different hardware and there is the behaviour strange - it sometimes lists sometimes not. All the drives that have this error are SSD disks.
Comment 2 Fedora End Of Life 2013-07-03 18:33:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 20:31:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.